rem -fcksel=1	RC 1Mhz
rem -fcksel=8	RC 8Mhz
rem -fcksel=F	 

AVREAL32.EXE +MEGA8 -p1 -o0 -e -w -v -fcksel=F -cltk.hex -ap


@echo off
rem MEGA8535 fuse list (fuse programmed state is 0!)
rem -----------------------------------------------
rem
rem -- Fuse High byte: _high=0b11001111=CF
rem
rem S8535   (7:1) = Select AT90S8535 compatibility mode: 1=MEGA, 0-AT90S8535
rem WDTON   (6:1) = WDT always ON: 1=WdtOn_by_WDTCR, 0=Always
rem SPIEN   (5:0) = Enable Serial Program and Data Downloading: 0:ena, 1:dis
rem CKOPT   (4:1) = Oscilator options: 0=65ms 1=4.1ms (?anN??a ?? ??a??N)
rem EESAVE  (3:1) = EEPROM preserved:  0-yes, 1=no save
rem BOOTSZ1 (2:0) = Select Boot Size: 0=1024, 0=512, 1=256, 1=128 byte
rem BOOTSZ0 (1:0) =                   0       1      0      1
rem BOOTRST (0:1) = Select Reset Vector: 1=0, 0=BootLoader
rem
rem -- Fuse Low byte: _low=0b00101111=2F (16MHz,4.1 ms)
rem
rem BODLEV  (7:1) = Brown-out level  (1=2.7V, 0=4.0V)
rem BODEN   (6:1) = Brown-out detect (1-dis,  0-ena)
rem SUT1    (5:1) = Start-up timer   (0: no,BOD=ena 1:4ms, 1:65ms, for CKSEL0=1)
rem SUT0    (4:0) =                   1             0      1
rem CKSEL3  (3:0) = 0 to F - Clock selection  (=F for ext.crystal osc. 16MHz)
rem CKSEL2  (2:0)
rem CKSEL1  (1:0)
rem CKSEL0  (0:1)
rem
@echo on

rem AVREAL32.EXE +MEGA8535 -p1 -o0 -e -w -v -f_low=2F,_high=CF -2 -ap
