/*****************************************************

  -  {, led  ,  (  122 ))

    , ..        8- 
         , ..      200  .
       PROGMEM   sound.c    sound   pgm_read_byte

*****************************************************/



#include "globals.h"

#include "sound.h"


#define frq600		23	//     
#define frq440		32	//    -  
#define frq1900		12
#define frq210		68
#define frqBeep		15

//    FIRE_SOUND_FILE,      
const struct sound sound_fire[] = {{frqBeep, 1, 20}, {0, 0, 0}};

//
const struct sound sound_hit[] = {
 {frq210, 1, 20}, {frq440, 0, 10}, 
 {frq210, 1, 20}, {frq440, 0, 10}, 
 {frq210, 1, 20}, {frq440, 0, 10}, 
 {frq210, 1, 20}, {frq440, 0, 10}, 
 {frq210, 1, 20}, {frq440, 0, 10}, 
 {frq210, 1, 20}, {frq440, 0, 10}, 
 {frq210, 1, 20}, {frq440, 0, 10}, 
 {frq210, 1, 20}, {frq440, 0, 10}, 
  
 {0, 0, 0} 
};

//
const struct sound sound_death[] = {
	{frq440, 1, 500}, 	
	{0, 0, 0}
};

//, 
const struct sound sound_reload_begin[] = {
	{20, 0, 2}, {30, 0, 2}, {40, 0, 2}, {50, 0, 2}, {60, 0, 2}, {0, 0, 0}
};

// 
const struct sound sound_reload_done[] = {
	{60, 0, 2}, {50, 0, 2}, {40, 0, 2}, {30, 0, 2}, {20, 0, 2}, {0, 0, 0}
};

// 
const struct sound sound_out_of_ammo[] = {
	{frq210, 0, 15}, //{frq1900, 0, 5}, {frq600, 0, 5},
	{0, 0, 0}
};

// /
const struct sound sound_new_game[] = {
	{frq210, 1, 30}, {frq440, 1, 30}, {frq600, 1, 60}, {0, 0, 0}, {0, 0, 0}
};

//      
const struct sound sound_power_on[] = {
	{frq600, 1, 60}, {frq440, 1, 30}, {frq210, 1, 30}, {0, 0, 0}
};

//   ( ) -   
const struct sound sound_after_death[] = {
 {0, 1, 10}, {0, 0, 15}, {0, 1, 10}, {0, 0, 0},
 {0, 1, 10}, {0, 0, 15}, {0, 1, 10}, {0, 0, 0},
 {0, 1, 10}, {0, 0, 15}, {0, 1, 10}, {0, 0, 0},
};

//  
const struct sound sound_nearmiss[] = {
	{40, 0, 5}, {0, 0, 0},
};

//
const struct sound sound_beep[] = {
	{frqBeep, 1, 15}, {0, 0, 0}
};

//-
const struct sound sound_beep_beep[] = {
	{frqBeep, 1, 15}, {0, 0, 30}, 
	{frqBeep, 1, 15}, {0, 0, 30}, {frqBeep, 1, 15}, 
	{frqBeep, 1, 15}, {0, 0, 30}, {frqBeep, 1, 15}, 
	{frqBeep, 1, 15}, {0, 0, 30}, {frqBeep, 1, 15}, 
	{0, 0, 0}
};

